PresenceHandler Class Referenceabstract

`#include <presencehandler.h>`

Inheritance diagram for PresenceHandler:
[legend]

## Public Member Functions

virtual | ~PresenceHandler ()
virtual void | handlePresence (const Presence &presence)=0

## Detailed Description

A virtual interface which can be reimplemented to receive presence stanzas.

Derived classes can be registered as PresenceHandlers with the Client. Upon an incoming Presence packet handlePresence() will be called.

Author
  Jakob Schröter js@ca.nosp@m.maya.nosp@m..net

Definition at line 30 of file presencehandler.h.

## Constructor & Destructor Documentation

## ~PresenceHandler()

virtual ~PresenceHandler | ( |  | ) |

inline virtual

Virtual Destructor.

Definition at line 36 of file presencehandler.h.

## Member Function Documentation

## handlePresence()

virtual void handlePresence | ( | const Presence & | presence | ) |

pure virtual

Reimplement this function if you want to be updated on incoming presence notifications.

Parameters

  presence | The complete stanza.

Since
  1.0

Implemented in MUCRoom, and RosterManager.

The documentation for this class was generated from the following file:

- presencehandler.h